Bug 383361 - (CVE-2005-4872) CVE-2005-4872 pcre incorrect memory requirement computation
CVE-2005-4872 pcre incorrect memory requirement computation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=cve,reported=20071108,public=2...
: Security
Depends On: 411731 413871 414271
Blocks: CVE-2006-7224
  Show dependency treegraph
 
Reported: 2007-11-14 15:52 EST by Josh Bressers
Modified: 2008-01-11 12:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 12:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-11-14 15:52:04 EST
CVE-2006-7224 initially described several integer overflows in pcre, all
described here:
http://scary.beasts.org/security/CESA-2007-006.html

This id should be used to describe issue #2
in that advisory:

2) Uncharacterized crash researching item #1 above: Demo:

(?P<0>)(?P<1>)...fill in this sequence...(?P<3999>)

This does not trigger the integer overflow present in #1 above, but still
crashes with a serious-looking memory error of some kind - possibly a buffer
overflow.
Comment 3 Tomas Hoger 2007-11-15 05:57:02 EST
Reference in PCRE changelog for version 6.2:

 5. Named capturing subpatterns were not being correctly counted when a pattern
    was compiled. This caused two problems: (a) If there were more than 100
    such subpatterns, the calculation of the memory needed for the whole
    compiled pattern went wrong, leading to an overflow error. (b) Numerical
    back references of the form \12, where the number was greater than 9, were
    not recognized as back references, even though there were sufficient
    previous subpatterns.
Comment 7 Red Hat Product Security 2008-01-11 12:37:28 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1052.html

Note You need to log in before you can comment on or make changes to this bug.